Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056853 - CVE-2013-6954 libpng: unhandled zero-length PLTE chunk or NULL palette [fedora-20]
Summary: CVE-2013-6954 libpng: unhandled zero-length PLTE chunk or NULL palette [fedor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libpng
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 04:43 UTC by Huzaifa S. Sidhpurwala
Modified: 2014-05-28 23:54 UTC (History)
2 users (show)

Fixed In Version: libpng-1.6.6-3.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-28 23:54:34 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2014-01-23 04:43:15 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

fedora-20 tracking bug for libpng: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2014-01-23 04:43:27 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1045561,1056853

Comment 2 Petr Hracek 2014-05-21 19:46:15 UTC
commit (https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20140519/1249261.html) -> switch MODIFIED

Comment 3 Fedora Update System 2014-05-21 19:55:45 UTC
libpng-1.6.6-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libpng-1.6.6-3.fc20

Comment 4 Fedora Update System 2014-05-23 18:59:58 UTC
Package libpng-1.6.6-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libpng-1.6.6-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6631/libpng-1.6.6-3.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-05-28 23:54:34 UTC
libpng-1.6.6-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.